﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace GPStoGoogleMapDesktop
{
    class BingOverlay : BingMapsOverlay
    {
        public BingOverlay()
        {
            
        }
        public BingOverlay(string applicationId)
            : base(applicationId)
        {
            
        }
        public BingOverlay(string applicationId, BingMapsMapType mapType)
            : base(applicationId, mapType)
        {
            
        }
        public BingOverlay(string applicationId, BingMapsMapType mapType, string cacheDirectory)
            : base(applicationId, mapType, cacheDirectory)
        {
            
        }
        public BingOverlay(string applicationId, BingMapsMapType mapType, string cacheDirectory, BingMapsLogoMode logoMode)
            : base(applicationId, mapType, cacheDirectory, logoMode)
        {
            
        }

        protected override void DrawCore(GeoCanvas canvas)
        {
            try
            {
                base.DrawCore(canvas);
            }
            catch
            {
                string temp = "434";
            }
            
        }

        protected override void DrawExceptionCore(GeoCanvas canvas, Exception e)
        {
            //base.DrawExceptionCore(canvas, e);
            MessageBox.Show("end of cache");
        }      

    }
}
